const PagePreview = function({ entry, widgetsFor, widgetFor }) {
  const template = function(html, val) {
    try {
      // eslint-disable-next-line
      return (new Function('data', 'return `' + html + '`'))(val)
    } catch (err) {
      console.error(err);
    }
  }
  return (
    entry.getIn(['data', 'components']).map((item, index) => {
      const arr = item.getIn(['tpl']).split('*#####*')
      const tpl = template(arr[0], arr[2] ? JSON.parse(arr[2]) : {})
      return (
        <div className="page-section" key={index} dangerouslySetInnerHTML={{ __html: tpl}}></div>
      )
    })
  );
};

export default PagePreview;